Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.proxy
Class ClassProxyFactory

    java.lang.Object
      org.jboss.aop.proxy.ClassProxyFactory

public class ClassProxyFactory
extends Object

Version:
  $Revision: 1.33 $
Author:
  Bill Burke

Constructor Summary
`ClassProxyFactory()`

Method Summary
`static HashMap` | `getMethodMap(Class clazz)`
`static HashMap` | `getMethodMap(String classname)`
`static HashMap` | `methodMap(Class clazz)`
`static ClassProxy` | `newInstance(Class clazz)`
`static ClassProxy` | `newInstance(Class clazz, ProxyMixin[] mixins)`
`static ClassProxy` | `newInstance(Class clazz, ProxyMixin[] mixins, InstanceAdvisor advisor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassProxyFactory

    public ClassProxyFactory()

Method Detail

### newInstance

    public static ClassProxy newInstance(Class clazz)
                                  throws Exception

  Throws:
    `Exception`

### newInstance

    public static ClassProxy newInstance(Class clazz,
                                         ProxyMixin[] mixins)
                                  throws Exception

  Throws:
    `Exception`

### newInstance

    public static ClassProxy newInstance(Class clazz,
                                         ProxyMixin[] mixins,
                                         InstanceAdvisor advisor)
                                  throws Exception

  Throws:
    `Exception`

### getMethodMap

    public static HashMap getMethodMap(String classname)

### getMethodMap

    public static HashMap getMethodMap(Class clazz)

### methodMap

    public static HashMap methodMap(Class clazz)
                             throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.